"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findCallExpressions = void 0;
function findCallExpressions(name, exprs, cb) {
    return {
        CallExpression(callPath) {
            if (callPath.node.callee.type === "Identifier" &&
                callPath.node.callee.name === name) {
                exprs.add(callPath);
                cb === null || cb === void 0 ? void 0 : cb(callPath);
            }
        },
    };
}
exports.findCallExpressions = findCallExpressions;
//# sourceMappingURL=findCallExpressions.js.map