"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findRootDeclaration = void 0;
const findRootParentOfType_1 = require("./findRootParentOfType");
function findRootDeclaration(path) {
    var _a, _b;
    const parentDeclarator = (0, findRootParentOfType_1.findRootParentOfType)(path, "VariableDeclarator");
    const parentFunction = (0, findRootParentOfType_1.findRootParentOfType)(path, "FunctionDeclaration");
    const parent = parentFunction !== null && parentFunction !== void 0 ? parentFunction : parentDeclarator;
    const parentName = (_b = (_a = parent === null || parent === void 0 ? void 0 : parent.node) === null || _a === void 0 ? void 0 : _a.id) === null || _b === void 0 ? void 0 : _b.name;
    return {
        parent,
        parentName,
    };
}
exports.findRootDeclaration = findRootDeclaration;
//# sourceMappingURL=findRootDeclaration.js.map