"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.markPath = void 0;
function markPath(path, type) {
    const variableDeclarationParent = path.findParent((path) => {
        return path.type === "VariableDeclaration";
    });
    (variableDeclarationParent !== null && variableDeclarationParent !== void 0 ? variableDeclarationParent : path).addComment("leading", `marked(${type})`);
}
exports.markPath = markPath;
//# sourceMappingURL=markPath.js.map