import { findRootParentOfType } from "./findRootParentOfType";
export function findRootDeclaration(path) {
    var _a, _b;
    const parentDeclarator = findRootParentOfType(path, "VariableDeclarator");
    const parentFunction = findRootParentOfType(path, "FunctionDeclaration");
    const parent = parentFunction !== null && parentFunction !== void 0 ? parentFunction : parentDeclarator;
    const parentName = (_b = (_a = parent === null || parent === void 0 ? void 0 : parent.node) === null || _a === void 0 ? void 0 : _a.id) === null || _b === void 0 ? void 0 : _b.name;
    return {
        parent,
        parentName,
    };
}
//# sourceMappingURL=findRootDeclaration.js.map